aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-12-21 23:15:24 +0300
committerGitHub <noreply@github.com>2022-12-21 23:15:24 +0300
commitb9bfe406d211ce5645a165a73b72048e9ea9e88e (patch)
tree9ff6ce0a2872cd0930c46b2963fe3fce6537af06 /test
parent48678001d1e910477390c475165564a38936b058 (diff)
Update GPG_KEY_SERVERS: Remove `:80` from Ubuntu Keyserver (#354)
* Update GPG_KEY_SERVERS: Remove `:80` from Ubuntu Keyserver * Fix ruby tests
Diffstat (limited to 'test')
-rw-r--r--test/github-cli/install_git_cli_from_release.sh11
-rw-r--r--test/github-cli/scenarios.json11
2 files changed, 22 insertions, 0 deletions
diff --git a/test/github-cli/install_git_cli_from_release.sh b/test/github-cli/install_git_cli_from_release.sh
new file mode 100644
index 0000000..d81c1c4
--- /dev/null
+++ b/test/github-cli/install_git_cli_from_release.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "version" gh --version
+
+# Report result
+reportResults
diff --git a/test/github-cli/scenarios.json b/test/github-cli/scenarios.json
new file mode 100644
index 0000000..d41019a
--- /dev/null
+++ b/test/github-cli/scenarios.json
@@ -0,0 +1,11 @@
+{
+ "install_git_cli_from_release": {
+ "image": "ubuntu:focal",
+ "features": {
+ "github-cli": {
+ "version": "latest",
+ "installDirectlyFromGitHubRelease": "false"
+ }
+ }
+ }
+} \ No newline at end of file